# Visualization
TKService
SelectBasics

# SelectBasics_ListOfBox2d Class Reference

`#include <SelectBasics_ListOfBox2d.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | SelectBasics_ListOfBox2d ()
Standard_EXPORT void | Assign (const SelectBasics_ListOfBox2d &Other)
void | operator= (const SelectBasics_ListOfBox2d &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~SelectBasics_ListOfBox2d ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Bnd_Box2d &I)
Standard_EXPORT void | Prepend (const Bnd_Box2d &I, SelectBasics_ListIteratorOfListOfBox2d &theIt)
Standard_EXPORT void | Prepend (SelectBasics_ListOfBox2d &Other)
Standard_EXPORT void | Append (const Bnd_Box2d &I)
Standard_EXPORT void | Append (const Bnd_Box2d &I, SelectBasics_ListIteratorOfListOfBox2d &theIt)
Standard_EXPORT void | Append (SelectBasics_ListOfBox2d &Other)
Standard_EXPORT Bnd_Box2d & | First () const
Standard_EXPORT Bnd_Box2d & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (SelectBasics_ListIteratorOfListOfBox2d &It)
Standard_EXPORT void | InsertBefore (const Bnd_Box2d &I, SelectBasics_ListIteratorOfListOfBox2d &It)
Standard_EXPORT void | InsertBefore (SelectBasics_ListOfBox2d &Other, SelectBasics_ListIteratorOfListOfBox2d &It)
Standard_EXPORT void | InsertAfter (const Bnd_Box2d &I, SelectBasics_ListIteratorOfListOfBox2d &It)
Standard_EXPORT void | InsertAfter (SelectBasics_ListOfBox2d &Other, SelectBasics_ListIteratorOfListOfBox2d &It)

## Private Member Functions

Standard_EXPORT | SelectBasics_ListOfBox2d (const SelectBasics_ListOfBox2d &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT SelectBasics_ListOfBox2d::SelectBasics_ListOfBox2d | ( |  | ) |

SelectBasics_ListOfBox2d::~SelectBasics_ListOfBox2d | ( |  | ) | `[inline]`

Standard_EXPORT SelectBasics_ListOfBox2d::SelectBasics_ListOfBox2d | ( | const SelectBasics_ListOfBox2d & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void SelectBasics_ListOfBox2d::Append | ( | SelectBasics_ListOfBox2d & | Other | ) |

Standard_EXPORT void SelectBasics_ListOfBox2d::Append | ( | const Bnd_Box2d & | I,
|  | SelectBasics_ListIteratorOfListOfBox2d & | theIt
| ) |

Standard_EXPORT void SelectBasics_ListOfBox2d::Append | ( | const Bnd_Box2d & | I | ) |

Standard_EXPORT void SelectBasics_ListOfBox2d::Assign | ( | const SelectBasics_ListOfBox2d & | Other | ) |

Standard_EXPORT void SelectBasics_ListOfBox2d::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer SelectBasics_ListOfBox2d::Extent | ( |  | ) | const

Standard_EXPORT Bnd_Box2d& SelectBasics_ListOfBox2d::First | ( |  | ) | const

Standard_EXPORT void SelectBasics_ListOfBox2d::InsertAfter | ( | SelectBasics_ListOfBox2d & | Other,
|  | SelectBasics_ListIteratorOfListOfBox2d & | It
| ) |

Standard_EXPORT void SelectBasics_ListOfBox2d::InsertAfter | ( | const Bnd_Box2d & | I,
|  | SelectBasics_ListIteratorOfListOfBox2d & | It
| ) |

Standard_EXPORT void SelectBasics_ListOfBox2d::InsertBefore | ( | SelectBasics_ListOfBox2d & | Other,
|  | SelectBasics_ListIteratorOfListOfBox2d & | It
| ) |

Standard_EXPORT void SelectBasics_ListOfBox2d::InsertBefore | ( | const Bnd_Box2d & | I,
|  | SelectBasics_ListIteratorOfListOfBox2d & | It
| ) |

Standard_Boolean SelectBasics_ListOfBox2d::IsEmpty | ( |  | ) | const

Standard_EXPORT Bnd_Box2d& SelectBasics_ListOfBox2d::Last | ( |  | ) | const

void SelectBasics_ListOfBox2d::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SelectBasics_ListOfBox2d::operator new | ( | size_t | size | ) | `[inline]`

void* SelectBasics_ListOfBox2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void SelectBasics_ListOfBox2d::operator= | ( | const SelectBasics_ListOfBox2d & | Other | ) | `[inline]`

Standard_EXPORT void SelectBasics_ListOfBox2d::Prepend | ( | SelectBasics_ListOfBox2d & | Other | ) |

Standard_EXPORT void SelectBasics_ListOfBox2d::Prepend | ( | const Bnd_Box2d & | I,
|  | SelectBasics_ListIteratorOfListOfBox2d & | theIt
| ) |

Standard_EXPORT void SelectBasics_ListOfBox2d::Prepend | ( | const Bnd_Box2d & | I | ) |

Standard_EXPORT void SelectBasics_ListOfBox2d::Remove | ( | SelectBasics_ListIteratorOfListOfBox2d & | It | ) |

Standard_EXPORT void SelectBasics_ListOfBox2d::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address SelectBasics_ListOfBox2d::myFirst `[private]`

Standard_Address SelectBasics_ListOfBox2d::myLast `[private]`

The documentation for this class was generated from the following file:

- SelectBasics_ListOfBox2d.hxx